Skip to main content
curl --request PUT \
  --url https://api.longshot.xyz/v1/user/preferences \
  --header 'Authorization: Bearer <session_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "notifications_enabled": true,
  "quote_tolerance": "normal",
  "anonymous_mode_enabled": false
}'
{
  "notifications_enabled": true,
  "quote_tolerance": "normal",
  "anonymous_mode_enabled": false
}
curl --request PUT \
  --url https://api.longshot.xyz/v1/user/preferences \
  --header 'Authorization: Bearer <session_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "notifications_enabled": true,
  "quote_tolerance": "normal",
  "anonymous_mode_enabled": false
}'
{
  "notifications_enabled": true,
  "quote_tolerance": "normal",
  "anonymous_mode_enabled": false
}

Endpoint

PUT https://api.longshot.xyz/v1/user/preferences
Authorization: Bearer <session_token>
Content-Type: application/json
Updates user preferences. The request body is partial; omitted fields keep their existing values.

Headers

Authorization
string
required
Bearer <session_token> from wallet auth or Privy session auth.

Body Parameters

notifications_enabled
boolean
Whether notifications should be enabled.
quote_tolerance
string
Quote tolerance for new bets. This controls how much lower the minimum acceptable odds can be when Longshot requests quotes.
  • strict: 3% tolerance.
  • normal: 7% tolerance.
  • lenient: 11% tolerance.
anonymous_mode_enabled
boolean
Whether anonymous mode should be enabled for new bets.

Response Fields

notifications_enabled
boolean
Updated notification setting.
quote_tolerance
string
Updated quote tolerance.
anonymous_mode_enabled
boolean
Updated anonymous mode setting.